Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.constants
Interface AciConstants

public interface AciConstants

Container for generic ACI server constants such as tag names and values and responses.

Field Summary
`static java.lang.String` | `ACI_XML_NAMESPACE`
`static java.lang.String` | `ACTION_TAG_NAME`
`static java.lang.String` | `AUTN_XML_HEADER`
`static java.lang.String` | `AUTN_XML_TAIL`
`static java.lang.String` | `CLOSE_ENCRYPTEDDATA`
`static java.lang.String` | `CLOSE_ENCRYPTEDHEADER`
`static java.lang.String` | `DATA_PARAM_NAME`
`static java.lang.String` | `ENCRYPTED_ACTION`
`static java.lang.String` | `ERRORCODE_TAG_NAME`
`static java.lang.String` | `ERRORDESCRIPTION_TAG_NAME`
`static java.lang.String` | `ERRORID_TAG_NAME`
`static java.lang.String` | `ERRORSTRING_TAG_NAME`
`static java.lang.String` | `LIST_SEPARATOR`
`static java.lang.String` | `OPEN_ENCRYPTEDDATA`
`static java.lang.String` | `OPEN_ENCRYPTEDHEADER`
`static java.lang.String` | `OUTPUT_ENCODING_PARAM_NAME`
`static java.lang.String` | `RESPONSE_ERROR`
`static java.lang.String` | `RESPONSE_SUCCESS`
`static java.lang.String` | `RESPONSE_TAG_NAME`
`static java.lang.String` | `RESPONSEDATA_TAG_NAME`
`static java.lang.String` | `RESULT_CONTENT_TAG_NAME`
`static java.lang.String` | `RESULT_DATABASE_TAG_NAME`
`static java.lang.String` | `RESULT_HIT_TAG_NAME`
`static java.lang.String` | `RESULT_ID_TAG_NAME`
`static java.lang.String` | `RESULT_IDX_CONTENT_TAG_NAME`
`static java.lang.String` | `RESULT_LINKS_TAG_NAME`
`static java.lang.String` | `RESULT_REFERENCE_TAG_NAME`
`static java.lang.String` | `RESULT_SUMMARY_TAG_NAME`
`static java.lang.String` | `RESULT_TITLE_TAG_NAME`
`static java.lang.String` | `RESULT_WEIGHT_TAG_NAME`
`static java.lang.String` | `RESULTS_TAG_NAME`

Field Detail

### AUTN_XML_HEADER

    public static final java.lang.String AUTN_XML_HEADER

See Also:
  Constant Field Values

### AUTN_XML_TAIL

    public static final java.lang.String AUTN_XML_TAIL

See Also:
  Constant Field Values

### ACI_XML_NAMESPACE

    public static final java.lang.String ACI_XML_NAMESPACE

See Also:
  Constant Field Values

### LIST_SEPARATOR

    public static final java.lang.String LIST_SEPARATOR

See Also:
  Constant Field Values

### ACTION_TAG_NAME

    public static final java.lang.String ACTION_TAG_NAME

See Also:
  Constant Field Values

### RESPONSE_TAG_NAME

    public static final java.lang.String RESPONSE_TAG_NAME

See Also:
  Constant Field Values

### RESPONSEDATA_TAG_NAME

    public static final java.lang.String RESPONSEDATA_TAG_NAME

See Also:
  Constant Field Values

### ERRORID_TAG_NAME

    public static final java.lang.String ERRORID_TAG_NAME

See Also:
  Constant Field Values

### ERRORCODE_TAG_NAME

    public static final java.lang.String ERRORCODE_TAG_NAME

See Also:
  Constant Field Values

### ERRORSTRING_TAG_NAME

    public static final java.lang.String ERRORSTRING_TAG_NAME

See Also:
  Constant Field Values

### ERRORDESCRIPTION_TAG_NAME

    public static final java.lang.String ERRORDESCRIPTION_TAG_NAME

See Also:
  Constant Field Values

### RESPONSE_SUCCESS

    public static final java.lang.String RESPONSE_SUCCESS

See Also:
  Constant Field Values

### RESPONSE_ERROR

    public static final java.lang.String RESPONSE_ERROR

See Also:
  Constant Field Values

### OUTPUT_ENCODING_PARAM_NAME

    public static final java.lang.String OUTPUT_ENCODING_PARAM_NAME

See Also:
  Constant Field Values

### RESULTS_TAG_NAME

    public static final java.lang.String RESULTS_TAG_NAME

See Also:
  Constant Field Values

### RESULT_HIT_TAG_NAME

    public static final java.lang.String RESULT_HIT_TAG_NAME

See Also:
  Constant Field Values

### RESULT_REFERENCE_TAG_NAME

    public static final java.lang.String RESULT_REFERENCE_TAG_NAME

See Also:
  Constant Field Values

### RESULT_ID_TAG_NAME

    public static final java.lang.String RESULT_ID_TAG_NAME

See Also:
  Constant Field Values

### RESULT_WEIGHT_TAG_NAME

    public static final java.lang.String RESULT_WEIGHT_TAG_NAME

See Also:
  Constant Field Values

### RESULT_LINKS_TAG_NAME

    public static final java.lang.String RESULT_LINKS_TAG_NAME

See Also:
  Constant Field Values

### RESULT_DATABASE_TAG_NAME

    public static final java.lang.String RESULT_DATABASE_TAG_NAME

See Also:
  Constant Field Values

### RESULT_TITLE_TAG_NAME

    public static final java.lang.String RESULT_TITLE_TAG_NAME

See Also:
  Constant Field Values

### RESULT_SUMMARY_TAG_NAME

    public static final java.lang.String RESULT_SUMMARY_TAG_NAME

See Also:
  Constant Field Values

### RESULT_CONTENT_TAG_NAME

    public static final java.lang.String RESULT_CONTENT_TAG_NAME

See Also:
  Constant Field Values

### RESULT_IDX_CONTENT_TAG_NAME

    public static final java.lang.String RESULT_IDX_CONTENT_TAG_NAME

See Also:
  Constant Field Values

### ENCRYPTED_ACTION

    public static final java.lang.String ENCRYPTED_ACTION

See Also:
  Constant Field Values

### DATA_PARAM_NAME

    public static final java.lang.String DATA_PARAM_NAME

See Also:
  Constant Field Values

### OPEN_ENCRYPTEDHEADER

    public static final java.lang.String OPEN_ENCRYPTEDHEADER

See Also:
  Constant Field Values

### CLOSE_ENCRYPTEDHEADER

    public static final java.lang.String CLOSE_ENCRYPTEDHEADER

See Also:
  Constant Field Values

### OPEN_ENCRYPTEDDATA

    public static final java.lang.String OPEN_ENCRYPTEDDATA

See Also:
  Constant Field Values

### CLOSE_ENCRYPTEDDATA

    public static final java.lang.String CLOSE_ENCRYPTEDDATA

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD